Subject: [Cfrg] Nomination of SPAKE2

From: Watson Ladd <[email-masked]>
Date: Mon, 27 May 2019 08:51:09 -0700

Dear all,

Ben and I would like to nominate SPAKE2 for consideration in the PAKE
contest. We are entering only the balanced variant as OPAQUE is far
superior to the augmented version. So far the changes between various
versions of the draft have all been about groups with nonprime orders,
and we think we finally have the right thing figured out/ could use
Risotto. While the security proofs published use prime order, adapting
to working on the quotient is straightforward.

Sincerely,
Watson Ladd